com.icesoft.faces.facelets.component.selectiontree

## Class SelectionTreeNodeUserObject

- java.lang.Object
- - com.icesoft.faces.component.tree.IceUserObject
  - - com.icesoft.faces.facelets.component.selectiontree.SelectionTreeNodeUserObject

- All Implemented Interfaces:
    java.io.Serializable

      public class SelectionTreeNodeUserObject
      extends com.icesoft.faces.component.tree.IceUserObject

  Tree userObject for the SelectionTreeModel
  Author:
    philip.breau@icesoft.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TriStateCheckbox` | `checkbox`
    `protected SelectionTreeModel` | `tree`

    - ### Fields inherited from class com.icesoft.faces.component.tree.IceUserObject

      `action, branchContractedIcon, branchExpandedIcon, expanded, icon, leaf, leafIcon, text, tooltip, treeNode, wrapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectionTreeNodeUserObject(SelectionTreeModel tree, SelectionTreeNode node)` This constructor will automatically create the associated TriStateCheckbox with the initial unchecked state.
    `SelectionTreeNodeUserObject(SelectionTreeModel tree, SelectionTreeNode node, boolean disabled)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TriStateCheckbox` | `getCheckbox()`
    `SelectionTreeModel` | `getTree()`
    `void` | `setTree(SelectionTreeModel tree)`

    - ### Methods inherited from class com.icesoft.faces.component.tree.IceUserObject

      `action, getAction, getBranchContractedIcon, getBranchExpandedIcon, getFamily, getIcon, getLeafIcon, getRowIndex, getText, getTooltip, getTreeNode, getWrapper, isExpanded, isLeaf, setAction, setBranchContractedIcon, setBranchExpandedIcon, setExpanded, setLeaf, setLeafIcon, setRowIndex, setText, setTooltip, setTreeNode, setWrapper, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tree

          protected SelectionTreeModel tree

    - #### checkbox

          protected TriStateCheckbox checkbox

  - ### Constructor Detail

    - #### SelectionTreeNodeUserObject

          public SelectionTreeNodeUserObject(SelectionTreeModel tree,
                                             SelectionTreeNode node)

      This constructor will automatically create the associated TriStateCheckbox with the initial unchecked state.
      Parameters:
        `tree` - The SelectionTreeModel
        `node` - The SelectionTreeNode

    - #### SelectionTreeNodeUserObject

          public SelectionTreeNodeUserObject(SelectionTreeModel tree,
                                             SelectionTreeNode node,
                                             boolean disabled)

  - ### Method Detail

    - #### setTree

          public void setTree(SelectionTreeModel tree)

      Parameters:
        `tree` - The SelectionTreeModel

    - #### getCheckbox

          public TriStateCheckbox getCheckbox()

      Returns:
        The TriStateCheckbox associated with this tree user object

    - #### getTree

          public SelectionTreeModel getTree()

      Returns:
        The SelectionTreeModel

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.